DVD livefs always removes java packages

Bug #290400 reported by Mario Limonciello on 2008-10-28
12
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
Colin Watson
Ubuntu CD Images
Undecided
Colin Watson
ubiquity (Ubuntu)
High
Colin Watson
ubuntu-meta (Ubuntu)
High
Unassigned

Bug Description

There currently is no differentiation in terms of metapackages such as ubuntu-desktop and ubuntu-desktop-dvd. Because the DVD livefs is including additional java packages that are not in the desktop meta package, they get removed during every ubiquity run on the DVD.

This task is time consuming for factory images.

See the attached syslog for more information.

Mario Limonciello (superm1) wrote :
Mario Limonciello (superm1) wrote :

Additionally, you can see that there are some ttf packages that get removed. Same situation for them, but they are pulling in xutils too (Bug 290404).

Colin Watson (cjwatson) wrote :

Indeed, we need a desktop seed equivalent for the DVD, or else we need to move icedtea6-plugin somewhere else.

Changed in ubuntu-meta:
importance: Undecided → High
status: New → Triaged
Colin Watson (cjwatson) wrote :

The ttf removals are odd though. I think what's happening here is that scim-tables-zh only recommends these packages and so they don't show up as broken when ubiquity experimentally removes them. This is definitely a bug but horribly painful ...

  Recommends: ttf-arphic-gbsn00lp | ttf-arphic-gkai00mp, ttf-arphic-bsmi00lp | ttf-arphic-bkai00mp

Colin Watson (cjwatson) wrote :

<cjwatson> superm1: horrible hack alert
<cjwatson> d-i pkgsel/language-pack-patterns string language-pack-gnome-$LL icedtea6-plugin <etc>

Changed in ubiquity:
importance: Undecided → High
status: New → Triaged

This brings up an interesting idea for ubiquity then too. How about
making IT possible to do just what is being hacked in here, and
allowing packages that are in the apt cache on the DVD to be preseeded
as to install too via another key.

On 10/28/2008, Colin Watson <email address hidden> wrote:
> <cjwatson> superm1: horrible hack alert
> <cjwatson> d-i pkgsel/language-pack-patterns string language-pack-gnome-$LL
> icedtea6-plugin <etc>
>
> ** Also affects: ubiquity (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: ubiquity (Ubuntu)
> Importance: Undecided => High
> Status: New => Triaged
>
> --
> DVD livefs always removes java packages
> https://bugs.launchpad.net/bugs/290400
> You received this bug notification because you are a member of Ubuntu
> Installer Team, which is subscribed to ubiquity in ubuntu.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

Colin Watson (cjwatson) wrote :

I thought that was pretty much the intent of this bug report, yes. :-) Just wanted to provide a workaround for 8.10.

Henrik Nilsen Omma (henrik) wrote :

Assigning foundations team and milestoning for Beta.

Changed in ubiquity:
assignee: nobody → ubuntu-foundations
milestone: none → ubuntu-9.04-beta
Colin Watson (cjwatson) on 2009-03-04
Changed in ubiquity:
assignee: ubuntu-foundations → cjwatson
Joey Stanford (joey) wrote :

This bug relates to Bug #335596. It's part of the issue contributing to Bug #335596. The issue at hand is the scope. At the oem-priority meeting we decided to un-dup these due to scope. This was set medium because while it is a problem, the other bug is much more important to us.

Changed in oem-priority:
importance: Undecided → Medium
Colin Watson (cjwatson) wrote :

I've added a preseedable ubiquity/keep-installed question as a first step, and will give it a reasonable default value on the DVD. I'll keep looking into this, though.

On reflection, I don't think that the ubuntu-meta task is a suitable fix here. I would rather not create metapackages whose only meaning is dependent on DVD size requirements, rather than having a clear abstract meaning. Fortunately, I don't think that's necessary in order to fix this bug.

Changed in ubiquity:
status: Triaged → Fix Committed
Changed in ubuntu-meta:
status: Triaged → Won't Fix
Colin Watson (cjwatson) wrote :

This further change to ubiquity also fixes the ttf-*/Recommends problem described earlier in this bug, since it now explicitly iterates through dependencies which makes it much easier to say that those fonts should stay installed when packages that recommend them are staying installed.

  * Expand dependencies of packages we know we want to keep (language packs,
    etc.) before calculating which packages to blacklist from file copying
    or to remove. This is more correct in the presence of Recommends of
    language packs, and furthermore saves considerable time when
    blacklisting. My test results for various language pack sets:
    - en: 4:00 -> 3:30
    - de+en+es+fr+ja+ko+nb+nds+nl+nn+si+sk+sv: 5:30 -> 2:50
    - all: 14:37 -> 0:10 (!)
    This doesn't quite solve LP #335596 because testing a large number of
    packages for removal when there genuinely are lots of packages to remove
    is still quite slow, but it very significantly improves the worst cases.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.11.17

---------------
ubiquity (1.11.17) jaunty; urgency=low

  [ Evan Dandrea ]
  * Pack the timezone_map in an AspectFrame instead of a regular Gtk Frame.
  * Plot the time zone cities using a Miller cylindrical map projection with
    adjustments for the shifted left edge and missing arctic region of the
    map.
  * Account for daylight savings when highlighting a region in the
    timezone_map (LP: #335355).
  * Properly set the percent of each partition in the segmented_bar on the
    advanced page (LP: #334826).
  * Clean up the code around handling a partitioning choice change.
    Show the format warning when the disk is automatically selected
    (LP: #335704).
  * Automatic update of included source packages: base-installer
    1.98ubuntu3.

  [ Colin Watson ]
  * Stop the user-setup component from believing it's done after the user
    selects "go back" at a weak password dialog (LP: #340549).
  * Add ubiquity/keep-installed question which can be preseeded with a
    space-separated list of packages to keep installed even if they aren't
    in the desktop manifest and aren't in the list of language packs to keep
    (LP: #290400).
  * Expand dependencies of packages we know we want to keep (language packs,
    etc.) before calculating which packages to blacklist from file copying
    or to remove. This is more correct in the presence of Recommends of
    language packs, and furthermore saves considerable time when
    blacklisting. My test results for various language pack sets on a DVD:
    - en: 4:00 -> 3:30
    - de+en+es+fr+ja+ko+nb+nds+nl+nn+si+sk+sv: 5:30 -> 2:50
    - all: 14:37 -> 0:10 (!)
    This doesn't quite solve LP #335596 because testing a large number of
    packages for removal when there genuinely are lots of packages to remove
    is still quite slow, but it very significantly improves the worst cases.

 -- Evan Dandrea <email address hidden> Thu, 12 Mar 2009 23:04:00 +0000

Changed in ubiquity:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

revno: 1380
committer: Colin Watson <email address hidden>
branch nick: debian-cd
timestamp: Fri 2009-03-13 14:00:11 +0000
message:
  keep icedtea6-plugin and openoffice.org installed when installing from DVD (LP: #290400)

Changed in ubuntu-cdimage:
assignee: nobody → cjwatson
status: New → Fix Released
Joey Stanford (joey) on 2009-03-16
Changed in oem-priority:
assignee: nobody → cjwatson
status: New → Fix Released
Changed in dell:
assignee: nobody → superm1
status: New → Fix Committed
Changed in dell:
status: Fix Committed → Fix Released
Sameer (samstar4180) wrote :

It would gr8 for me to hv jdk 7 on my system. (UBUNTU 12).

affects: ubuntu-meta (Ubuntu) → oracle-jdk-installer
Changed in oracle-jdk-installer:
assignee: nobody → Sameer (samstar4180)
Colin Watson (cjwatson) wrote :

Sameer, this closed bug is not a support forum. Please refrain from changing properties of it.

affects: oracle-jdk-installer → ubuntu-meta (Ubuntu)
Changed in ubuntu-meta (Ubuntu):
assignee: Sameer (samstar4180) → nobody
Changed in somerville:
assignee: nobody → Mario Limonciello (superm1)
status: New → Fix Released
no longer affects: dell

Dear,
I don't know why i got this mail.

Sameer

On Thu, Aug 16, 2012 at 10:24 PM, Colin Watson <email address hidden>wrote:

> Sameer, this closed bug is not a support forum. Please refrain from
> changing properties of it.
>
> ** Project changed: oracle-jdk-installer => ubuntu-meta (Ubuntu)
>
> ** Changed in: ubuntu-meta (Ubuntu)
> Assignee: Sameer (samstar4180) => (unassigned)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/290400
>
> Title:
> DVD livefs always removes java packages
>
> Status in The Dell Project:
> Fix Released
> Status in OEM Priority Project:
> Fix Released
> Status in Ubuntu CD image build software:
> Fix Released
> Status in "ubiquity" package in Ubuntu:
> Fix Released
> Status in "ubuntu-meta" package in Ubuntu:
> Won't Fix
>
> Bug description:
> There currently is no differentiation in terms of metapackages such as
> ubuntu-desktop and ubuntu-desktop-dvd. Because the DVD livefs is
> including additional java packages that are not in the desktop meta
> package, they get removed during every ubiquity run on the DVD.
>
> This task is time consuming for factory images.
>
> See the attached syslog for more information.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell/+bug/290400/+subscriptions
>

Timothy R. Chavez (timrchavez) wrote :

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1305755

no longer affects: somerville
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments